package conferenciaBDAlunos;

public class Revisao {

	private double clareza;
	private double relevancia;
	private double corretude;
	private double notaFinal;
	private String comentariosComite;
	private String comentariosAutor;
	private Artigo artigo;
	private Avaliador avaliador;

	public Revisao() {
	}

	public void associaArtigo(Artigo artigo) {
		this.artigo = artigo;
	}

	public void associaAvaliador(Avaliador avaliador) {
		this.avaliador = avaliador;
	}

	public Artigo getArtigo() {
		return artigo;
	}

	public Avaliador getAvaliador() {
		return avaliador;
	}

	public double getClareza() {
		return clareza;
	}

	public String getComentariosAutor() {
		return comentariosAutor;
	}

	public String getComentariosComite() {
		return comentariosComite;
	}

	public double getCorretude() {
		return corretude;
	}

	public double getNotaFinal() {
		return notaFinal;
	}

	public double getRelevancia() {
		return relevancia;
	}

	public void setClareza(double clareza) {
		this.clareza = clareza;
	}

	public void setComentariosAutor(String comentariosAutor) {
		this.comentariosAutor = comentariosAutor;
	}

	public void setComentariosComite(String comentariosComite) {
		this.comentariosComite = comentariosComite;
	}

	public void setCorretude(double corretude) {
		this.corretude = corretude;
	}

	public void setNotaFinal(double notaFinal) {
		this.notaFinal = notaFinal;
	}

	public void setRelevancia(double relevancia) {
		this.relevancia = relevancia;
	}

	public void setArtigo(Artigo art) {
		artigo = art;
	}

	public void setAvaliador(Avaliador aval) {
		avaliador = aval;
	}

	public void setRevisaoJahExistente(double novaClareza,
			double novaRelevancia, double novaCorretude, double novaNota,
			String novosComentariosComite, String novosComentariosAutor) {
		setClareza(novaClareza);
		setRelevancia(novaRelevancia);
		setCorretude(novaCorretude);
		setNotaFinal(novaNota);
		setComentariosComite(novosComentariosComite);
		setComentariosAutor(novosComentariosAutor);
	}

}
