package conferenciaBDAlunos;

public class ChefeComite extends Pessoa {

	private static ChefeComite chefe;
	private static String nomeInicialChefe;

	private String login;
	private String senha;

	public static void inicializaClasseChefeComite(String nome) {
		ChefeComite.nomeInicialChefe = nome;
	}

	public static ChefeComite getInstance() {
		if (chefe == null)
			chefe = new ChefeComite();
		return chefe;
	}

	private ChefeComite() {
		super(ChefeComite.nomeInicialChefe);
		if (ChefeComite.nomeInicialChefe == null)
			throw new IllegalStateException(
					"classe ChefeComite precisa ser inicializada com o nome do chefe");
	}

	public String getLogin() {
		return login;
	}

	public String getSenha() {
		return senha;
	}

	public void setLogin(String login) {
		this.login = login;
	}

	public void setSenha(String senha) {
		this.senha = senha;
	}

}
